Summary:       Thunderbolt device manager
Name:          bolt
Version:       0.9.5
Release:       2%{?dist}
License:       LGPLv2+
URL:           https://gitlab.freedesktop.org/bolt/bolt
Source0:       %{url}/-/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc asciidoc meson libudev-devel systemd polkit-devel
BuildRequires: pkgconfig(gio-2.0) pkgconfig(libudev) pkgconfig(systemd)
BuildRequires: pygobject3-devel python3-dbus umockdev-devel python3-dbusmock

%{?systemd_requires}

%description
This package provides a system daemon which manages Thunderbolt devices
via a D-BUS API. Thunderbolt 3 introduced different security modes that
require devices to be authorized before they can be used. The D-Bus API
can be used to list devices, enroll them (authorize and store them in
the local database) and forget them again (remove previously enrolled
devices). It also emits signals if new devices are connected (or
removed). During enrollment devices can be set to be automatically
authorized as soon as they are connected.  A command line tool, called
boltctl, can be used to control the daemon and perform all the above
mentioned tasks.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson -Ddb-name=boltd
%meson_build

%check
%meson_test

%install
%meson_install

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%license COPYING
%doc README.md CHANGELOG.md
%{_bindir}/boltctl
%{_libexecdir}/boltd
%{_unitdir}/%{name}.service
%{_udevrulesdir}/*-%{name}.rules
%{_datadir}/dbus-1/system.d/org.freedesktop.bolt.conf
%{_datadir}/dbus-1/interfaces/org.freedesktop.bolt.xml
%{_datadir}/polkit-1/actions/org.freedesktop.bolt.policy
%{_datadir}/polkit-1/rules.d/org.freedesktop.bolt.rules
%{_datadir}/dbus-1/system-services/org.freedesktop.bolt.service
%ghost %dir %{_localstatedir}/lib/boltd
%{_mandir}/man1/boltctl.1*
%{_mandir}/man8/boltd.8*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.5-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Jun 20 2023 kianli <kianli@tencent.com> - 0.9.5-1
- Upgrade to 0.9.5 and readd python3-dbusmock buildrequires

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.3-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.3-3
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 23 2022 Shuo Wang <abushwang@tencent.com> - 0.9.3-2
- remove python3-dbusmock buildrequires

* Mon Nov 21 2022 Shuo Wang <abushwang@tencent.com> - 0.9.3-1
- initial build
